/**
 * Copyright (c) 2014, The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.android.server.notification;

import android.app.Notification;

import java.util.List;

public interface RankingConfig {

    List<Notification.Topic> getTopics(String packageName, int uid);

    int getPriority(String packageName, int uid, Notification.Topic topic);

    void setPriority(String packageName, int uid, Notification.Topic topic, int priority);

    int getVisibilityOverride(String packageName, int uid, Notification.Topic topic);

    void setVisibilityOverride(String packageName, int uid, Notification.Topic topic,
            int visibility);

    void setImportance(String packageName, int uid, Notification.Topic topic, int importance);

    int getImportance(String packageName, int uid, Notification.Topic topic);

    boolean doesAppUseTopics(String packageName, int uid);

    boolean hasBannedTopics(String packageName, int uid);

    int getImportance(String packageName, int uid, String topicId);
}
